zenilib: zenilib/jni/external/sdl/src/audio/SDL_mixer.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
SDL_mixer.c File Reference
`#include "SDL_config.h"`
`#include "SDL_cpuinfo.h"`
`#include "SDL_timer.h"`
`#include "SDL_audio.h"`
`#include "SDL_sysaudio.h"`

Go to the source code of this file.

## Macros

#define | ADJUST_VOLUME(s, v) (s = (s*v)/SDL_MIX_MAXVOLUME)
#define | ADJUST_VOLUME_U8(s, v) (s = (((s-128)*v)/SDL_MIX_MAXVOLUME)+128)

## Functions

void | SDL_MixAudioFormat (Uint8 *dst, const Uint8 *src, SDL_AudioFormat format, Uint32 len, int volume)

## Variables

static const Uint8 | mix8 []

## Macro Definition Documentation

#define ADJUST_VOLUME | ( |  | s,
|  |  | v
| ) |  | (s = (s*v)/SDL_MIX_MAXVOLUME)

Definition at line 85 of file SDL_mixer.c.

Referenced by SDL_MixAudioFormat().

#define ADJUST_VOLUME_U8 | ( |  | s,
|  |  | v
| ) |  | (s = (((s-128)*v)/SDL_MIX_MAXVOLUME)+128)

Definition at line 86 of file SDL_mixer.c.

Referenced by SDL_MixAudioFormat().

## Function Documentation

void SDL_MixAudioFormat | ( | Uint8 * | dst,
|  | const Uint8 * | src,
|  | SDL_AudioFormat | format,
|  | Uint32 | len,
|  | int | volume
| ) |  |

This works like SDL_MixAudio(), but you specify the audio format instead of using the format of audio device 1. Thus it can be used when no audio device is open at all.

Definition at line 90 of file SDL_mixer.c.

References ADJUST_VOLUME, ADJUST_VOLUME_U8, AUDIO_F32LSB, AUDIO_F32MSB, AUDIO_S16LSB, AUDIO_S16MSB, AUDIO_S32LSB, AUDIO_S32MSB, AUDIO_S8, AUDIO_U8, F, mix8, SDL_MIX_MAXVOLUME, SDL_SetError(), SDL_SwapBE32, SDL_SwapFloatBE, SDL_SwapFloatLE, and SDL_SwapLE32.

Referenced by SDL_MixAudio().

## Variable Documentation

const Uint8 mix8[]

static

Definition at line 34 of file SDL_mixer.c.

Referenced by SDL_MixAudioFormat().